Subject: Re: Problems Cloning an SVN repo.

From: Deskin Miller <[email-masked]>
Date: Tue, 9 Dec 2008 13:12:17 -0500

On Tue, Dec 09, 2008 at 12:54:20PM -0500, Tim Visher wrote:
>     Can't locate SVN/Core.pm in @INC (@INC contains:

This is perl's way of saying "you don't have the SVN perl bindings in
some place I can find them".  I've not used git-svn under cygwin and
lack a windows computer to test, but on debian the SVN perl bindings are
in packages called libsvn-perl or libsvn-core-perl; I'd look for
similarly-named packages in cygwin's installer, or alternately packages
related to SVN.  If you're sure that the bindings are already installed,
you can fiddle with perl's module search path to detect them in an
unusual location: look at the -I flag to perl.

If that doesn't work, you can try building svn from source under cygwin,
and installing the perl bindings that way.

Hope that helps,
Deskin Miller